Bug 1459940 - I can't change only volume name when editing gp2 type block storage volume(EBS)
I can't change only volume name when editing gp2 type block storage volume(EBS)
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.8.1
Assigned To: Greg Blomquist
Matouš Mojžíš
ui:cloud:storage:volume
: ZStream
Depends On: 1449237
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-08 11:55 EDT by Satoe Imaishi
Modified: 2017-08-02 13:27 EDT (History)
8 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1449237
Environment:
Last Closed: 2017-08-02 13:27:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-08 12:03:16 EDT
New commit detected on ManageIQ/manageiq-providers-amazon/fine:
https://github.com/ManageIQ/manageiq-providers-amazon/commit/b0d8314ac89484931b06f7556b34c3d141a7b4be

commit b0d8314ac89484931b06f7556b34c3d141a7b4be
Author:     Bronagh Sorota <bsorota@redhat.com>
AuthorDate: Wed May 10 15:39:36 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jun 8 11:58:54 2017 -0400

    Merge pull request #249 from gberginc/fix_cloud_volume_update
    
    Prevent volume update with no modifications
    (cherry picked from commit e3579a00d7dd04df3a275d71788cb6eeb715c499)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459940

 .../providers/amazon/storage_manager/ebs/cloud_volume.rb       |  3 ++-
 .../providers/amazon/storage_manager/ebs/cloud_volume_spec.rb  | 10 ++++++++--
 2 files changed, 10 insertions(+), 3 deletions(-)
Comment 3 Matouš Mojžíš 2017-06-29 07:06:43 EDT
Verified in 5.8.1.0. I can now change just the name of a volume.
Comment 5 errata-xmlrpc 2017-08-02 13:27:25 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.